package online.wesal.wesal.dto;

import java.time.LocalDateTime;

public class DailyChallengeResponse {
    
    private String wordle;
    private boolean attempted;
    private boolean solved;
    private Integer attempts;
    private LocalDateTime solveTime;
    
    public DailyChallengeResponse() {}
    
    public DailyChallengeResponse(String wordle, boolean attempted, boolean solved, Integer attempts, LocalDateTime solveTime) {
        this.wordle = wordle;
        this.attempted = attempted;
        this.solved = solved;
        this.attempts = attempts;
        this.solveTime = solveTime;
    }
    
    public String getWordle() {
        return wordle;
    }
    
    public void setWordle(String wordle) {
        this.wordle = wordle;
    }
    
    public boolean isAttempted() {
        return attempted;
    }
    
    public void setAttempted(boolean attempted) {
        this.attempted = attempted;
    }
    
    public boolean isSolved() {
        return solved;
    }
    
    public void setSolved(boolean solved) {
        this.solved = solved;
    }
    
    public Integer getAttempts() {
        return attempts;
    }
    
    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }
    
    public LocalDateTime getSolveTime() {
        return solveTime;
    }
    
    public void setSolveTime(LocalDateTime solveTime) {
        this.solveTime = solveTime;
    }
}